# servoTest.py - Functionele test van de SG90 Micro Servo

import RPi.GPIO as GPIO
import time

servo_pin = 3        # oranje pin op GPIO 2
duty_cycle = 7.5     # Zou het midden moeten zijn van een SG90

# Definieer GPIO header pins
GPIO.setmode(GPIO.BCM)
GPIO.setup(servo_pin, GPIO.OUT)

# Stel PWM kanaal 'servo_pin' in op een frequentie van 50Hz
pwm_servo = GPIO.PWM(servo_pin, 50)
pwm_servo.start(duty_cycle)

try:
    while True:
        duty_cycle = float(input("Geef Duty Cycle (%) (Links = 5 naar Rechts = 10):"))
        pwm_servo.ChangeDutyCycle(duty_cycle)

except KeyboardInterrupt:
    print("CTRL-C: Stop programma.")
finally:
    print("GPIO poorten schonen...")
    GPIO.cleanup()
